Subject: Re: dtmf relay in SIP?

From: "Krishna Sai" <[email-masked]>
Date: Tue, 3 Aug 1999 10:01:28 -0400

The avt (audio/video transport) group works on these issues. In particular,
refer to drafts like :
http://www.ietf.org/internet-drafts/draft-ietf-avt-dtmf-01.txt
http://www.ietf.org/internet-drafts/draft-ietf-avt-tones-00.txt

regards,
Krishna Sai
ECI Telecom

-----Original Message-----
From: Jacob Avraham <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Tuesday, August 03, 1999 5:44 AM
Subject: RE: dtmf relay in SIP?

>
>
>
>I'm curious about DTMF in-band within the RTP stream. My audio guys tell me
>that once the audio is encoded with something like G.723 or some other
>vocoder, you loose the tone frequency info and it's almost impossible
>to get accurate detection of DTMF.
>Possibly, one could change RTP payload mid-stream to something like G.711
>but that's not always feasible (and forbidden by other protocols like
>H323).
>Any real world experience with this issue?
>
>Thanks,
>
>Jacob Avraham
>Mediagate
>>
>> This configuration is a classic case of where RTP encapsulation is best.
>> I'm personally unconvinced about dtmf transport in SIP in general; here
>> its definitely not needed.
>>
>> Thanks,
>> Jonathan R.
>>
>> [email-masked] wrote:
>> >
>> > Hi,
>> >
>> > > If I have a regular telephone connected to a SIP enabled gateway and
>calls
>> > > another telephone with similar connection, is there anyway I can do
>dtmf
>> > > relay between the two phones in the SIP network?  That is, when the
>gateway
>> > > receives a dtmf tone from the connected telephone, how does the
>gateway send
>> > > out the dtmf tone in a SIP message?
>> >
>> > You can use either the SIP INFO method or just encode the DTMF tones in
>RTP
>> > packets...
>> >
>> > Regards,
>> >
>> > Gonzalo
>
>